# coding: utf-8

from __future__ import absolute_import
from datetime import date, datetime  # noqa: F401

from typing import List, Dict  # noqa: F401

from swagger_server.models.base_model_ import Model
from swagger_server import util


class InlineResponse2002ArrayOfPartials(Model):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    def __init__(self, _date: str=None, worker: str=None, valid: bool=None, difficulty: float=None, hash: str=None):  # noqa: E501
        """InlineResponse2002ArrayOfPartials - a model defined in Swagger

        :param _date: The _date of this InlineResponse2002ArrayOfPartials.  # noqa: E501
        :type _date: str
        :param worker: The worker of this InlineResponse2002ArrayOfPartials.  # noqa: E501
        :type worker: str
        :param valid: The valid of this InlineResponse2002ArrayOfPartials.  # noqa: E501
        :type valid: bool
        :param difficulty: The difficulty of this InlineResponse2002ArrayOfPartials.  # noqa: E501
        :type difficulty: float
        :param hash: The hash of this InlineResponse2002ArrayOfPartials.  # noqa: E501
        :type hash: str
        """
        self.swagger_types = {
            '_date': str,
            'worker': str,
            'valid': bool,
            'difficulty': float,
            'hash': str
        }

        self.attribute_map = {
            '_date': 'date',
            'worker': 'worker',
            'valid': 'valid',
            'difficulty': 'difficulty',
            'hash': 'hash'
        }
        self.__date = _date
        self._worker = worker
        self._valid = valid
        self._difficulty = difficulty
        self._hash = hash

    @classmethod
    def from_dict(cls, dikt) -> 'InlineResponse2002ArrayOfPartials':
        """Returns the dict as a model

        :param dikt: A dict.
        :type: dict
        :return: The inline_response_200_2_ArrayOfPartials of this InlineResponse2002ArrayOfPartials.  # noqa: E501
        :rtype: InlineResponse2002ArrayOfPartials
        """
        return util.deserialize_model(dikt, cls)

    @property
    def _date(self) -> str:
        """Gets the _date of this InlineResponse2002ArrayOfPartials.


        :return: The _date of this InlineResponse2002ArrayOfPartials.
        :rtype: str
        """
        return self.__date

    @_date.setter
    def _date(self, _date: str):
        """Sets the _date of this InlineResponse2002ArrayOfPartials.


        :param _date: The _date of this InlineResponse2002ArrayOfPartials.
        :type _date: str
        """

        self.__date = _date

    @property
    def worker(self) -> str:
        """Gets the worker of this InlineResponse2002ArrayOfPartials.


        :return: The worker of this InlineResponse2002ArrayOfPartials.
        :rtype: str
        """
        return self._worker

    @worker.setter
    def worker(self, worker: str):
        """Sets the worker of this InlineResponse2002ArrayOfPartials.


        :param worker: The worker of this InlineResponse2002ArrayOfPartials.
        :type worker: str
        """

        self._worker = worker

    @property
    def valid(self) -> bool:
        """Gets the valid of this InlineResponse2002ArrayOfPartials.


        :return: The valid of this InlineResponse2002ArrayOfPartials.
        :rtype: bool
        """
        return self._valid

    @valid.setter
    def valid(self, valid: bool):
        """Sets the valid of this InlineResponse2002ArrayOfPartials.


        :param valid: The valid of this InlineResponse2002ArrayOfPartials.
        :type valid: bool
        """

        self._valid = valid

    @property
    def difficulty(self) -> float:
        """Gets the difficulty of this InlineResponse2002ArrayOfPartials.


        :return: The difficulty of this InlineResponse2002ArrayOfPartials.
        :rtype: float
        """
        return self._difficulty

    @difficulty.setter
    def difficulty(self, difficulty: float):
        """Sets the difficulty of this InlineResponse2002ArrayOfPartials.


        :param difficulty: The difficulty of this InlineResponse2002ArrayOfPartials.
        :type difficulty: float
        """

        self._difficulty = difficulty

    @property
    def hash(self) -> str:
        """Gets the hash of this InlineResponse2002ArrayOfPartials.


        :return: The hash of this InlineResponse2002ArrayOfPartials.
        :rtype: str
        """
        return self._hash

    @hash.setter
    def hash(self, hash: str):
        """Sets the hash of this InlineResponse2002ArrayOfPartials.


        :param hash: The hash of this InlineResponse2002ArrayOfPartials.
        :type hash: str
        """

        self._hash = hash
